Skip to content

Load annotations from a PDF to Vault. This is equivalent to the Import Annotations action in the Vault document viewer UI. The file must be a PDF created by exporting annotations for the latest version of the same document through either the Export Annotations action in the Vault UI or the Export Document Annotations as PDF endpoint and edited in a supported PDF editor. You must have a role on the document that includes the Annotate permission.

POST/api/{version}/objects/documents/{doc_id}/annotations/file
NameDescription
Content-Typemultipart/form-data
Acceptapplication/json (default) or application/xml

To upload the file, use the multi-part attachment with the file component "file={file_name}". The maximum allowed file size is 4GB. Vault truncates annotations that exceed the following character limits:

  • Note annotations: Subject (in Header) limited to 32,000 characters
  • Note, Line, and Reply annotations: Comment limited to 32,000 characters
NameDescription
{doc_id}The document id field value.
curl -X POST -H "Authorization: {SESSION_ID}" \ -H "Content-Type: multipart/form-data" \ -F "file=document2016.pdf" \ https://myvault.veevavault.com/api/v24.2/objects/documents/548/annotations/file
{ "responseStatus": "SUCCESS", "responseMessage": "OK", "replies": 0, "failures": 0, "new": 0 }

On SUCCESS, Vault uploads the file and its annotations.